TestComponent (Mule ESB 2.2.1 API)
Keywords: org.mule.tck.testmodels.services.TestComponent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck.testmodels.services
Class TestComponent

    java.lang.Object
      org.mule.tck.testmodels.services.TestComponent

All Implemented Interfaces:
  ITestComponent

    public class TestComponent

extends Object
implements ITestComponent

Field Summary
`protected edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicInteger` | `count`
`static String` | `EXCEPTION_MESSAGE`
`protected static Log` | `logger`

Constructor Summary
`TestComponent()`

Method Summary
`protected int` | `inc()`
`String` | `receive(String message)`
`String` | `receiveBytes(byte[] message)`
`String` | `throwsException(String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXCEPTION_MESSAGE

    public static final String EXCEPTION_MESSAGE

See Also:
  Constant Field Values

### logger

    protected static final Log logger

### count

    protected edu.emory.mathcs.backport.java.util.concurrent.atomic.AtomicInteger count

Constructor Detail

### TestComponent

    public TestComponent()

Method Detail

### receive

    public String receive(String message)
                   throws Exception

  Specified by:
    `receive` in interface `ITestComponent`
  Throws:
    `Exception`

### receiveBytes

    public String receiveBytes(byte[] message)
                        throws Exception

  Throws:
    `Exception`

### throwsException

    public String throwsException(String message)
                           throws Exception

  Specified by:
    `throwsException` in interface `ITestComponent`
  Throws:
    `Exception`

### inc

    protected int inc()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.